#no debuginfo -  only packaging of files
%global debug_package %{nil}

%global package_name kubevirt-ansible
%global commit f9f3ed492ebe46c613413fef76c9605b78fdc371
%global build_hash %(c=%{commit}; echo ${c:0:7})
%global spec_release 1

%{!?ansible_version: %global ansible_version 2.4.0}
%{!?cdi_version: %global cdi_version 1.5.1}
%{!?openshift_clients_version: %global openshift_clients_version 3.11}

Name:           %{package_name}
Version:        0.12.5
Release:        %{spec_release}.%{build_hash}
Summary:        ansible-based deployment of kubevirt

License:        ASL 2.0
URL:            https://github.com/kubevirt/kubevirt-ansible
Source0:        %{name}-%{version}-1.%{build_hash}.tar.gz
Patch0:         cnv.patch
Patch1:         network-role.patch
Patch2:         ansible-cfg.patch

Requires:       ansible >= %{ansible_version}
Requires:       atomic-openshift-clients >= %{openshift_clients_version}

BuildArch: noarch
%description
Ansible based installer for CNV

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
rm -rf  %{buildroot}
install -d -m 0755 %{buildroot}%{_datadir}/ansible/%{name}/playbooks
install -D -m 0755 playbooks/*.yml %{buildroot}%{_datadir}/ansible/%{name}/playbooks/
ln -s ../roles %{buildroot}%{_datadir}/ansible/%{name}/playbooks/roles
install -d -m 0755 %{buildroot}%{_datadir}/ansible/%{name}/roles
cp -r roles/{cdi,kubevirt,kubevirt_web_ui,storage-demo*,storage-glusterfs,storage-none,skydive,network-multus,kubevirt-cpu-node-labeller,kubevirt-ssp} %{buildroot}%{_datadir}/ansible/%{name}/roles/
ln -s %{_datadir}/kubevirt/templates/manifests/release/kubevirt.yaml.j2 %{buildroot}%{_datadir}/ansible/%{name}/roles/kubevirt/templates/kubevirt.yaml.j2
ln -s %{_datadir}/kubevirt-cdi/manifests/cdi-controller.yaml.j2 %{buildroot}%{_datadir}/ansible/%{name}/roles/cdi/templates/cdi-controller.yaml.j2
install -d -m 0755 %{buildroot}%{_datadir}/ansible/%{name}/vars
install -D -m 0755 vars/* %{buildroot}%{_datadir}/ansible/%{name}/vars/
install -p -m 0644 inventory %{buildroot}%{_datadir}/ansible/%{name}/
install -p -m 0644 ansible.cfg %{buildroot}%{_datadir}/ansible/%{name}/
install -p -m 0644 requirements.yml %{buildroot}%{_datadir}/ansible/%{name}/

%files
%{_datadir}/ansible/%{name}/playbooks
%{_datadir}/ansible/%{name}/roles
%{_datadir}/ansible/%{name}/vars
%{_datadir}/ansible/%{name}/inventory
%{_datadir}/ansible/%{name}/ansible.cfg
%{_datadir}/ansible/%{name}/requirements.yml


%changelog
* Thu Oct 31 2019 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.12.5

* Fri Oct 25 2019 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.13.0

* Fri Jan 25 2019 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.12.3

* Thu Jan 24 2019 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.12.2

* Thu Jan 24 2019 - Ryan Hallisey <rhallise@redhat.com>
- Patch ansible.cfg to save retry files to ~/

* Wed Jan 23 2019 - Ryan Hallisey <rhallise@redhat.com>
- Remove dep on common-templates

* Wed Jan 23 2019 - Ryan Hallisey <rhallise@redhat.com>
- Add a when statement to ovs deprovision

* Wed Jan 23 2019 - Ryan Hallisey <rhallise@redhat.com>
- Few more updates to cnv.patch

* Wed Jan 23 2019 - Ryan Hallisey <rhallise@redhat.com>
- Add network_role, cluster_command, and platform vars to cnv.yml

* Wed Jan 23 2019 - Sebastian Scheinkman <sscheink@redhat.com>
- Fix libvirt image name on cnv.patch

* Fri Jan 18 2019 - Sebastian Scheinkman <sscheink@redhat.com>
- Upstream release: v0.12.1
- kubevirt operator
- cdi operator

* Wed Jan 16 2019 - Sebastian Scheinkman <sscheink@redhat.com>
- Update cdi version to 1.5
- Added atomic-openshift-clients as required package

* Mon Jan 14 2019 - Sebastian Scheinkman <sscheink@redhat.com>
- Upstream release: v0.11.1
- Create symlink for cdi-controller.yaml.j2

* Thu Jan 9 2019 - Sebastian Scheinkman <sscheink@redhat.com>
- Upstream release: v0.10.0
- Update requires to use kubevirt-templates

* Thu Nov 15 2018 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.9.2-2

* Wed Nov 14 2018 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.9.2-1

* Fri Nov 9 2018 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.9.1-1

* Tue Nov 6 2018 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.9.0-1
- Update downstream-patch

* Wed Oct 17 2018 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.8.0-2
- Include more downstream CDI changes in the downstream patch

* Wed Oct 17 2018 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.8.0-1
- Add new upstream sources for kubevirt-ansible-0.8.0-1
- CDI should be >= 1.0.0

* Mon Sep 10 2018 - Ryan Hallisey <rhallise@redhat.com>
- Upstream release: v0.6.3-3
- Add new upstream sources for kubevirt-ansible-0.6.3-3.4700a2c
- Patch downstream container names

* Mon Aug 27 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v0.6.3-1
- Add new upstream sources for kubevirt-ansible-0.6.3-1.1b8818d
- Increase spec_release # to 1 and build_hash to 1b8818d

* Mon Aug 27 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v0.6.3-1
- Add new upstream sources for kubevirt-ansible-0.6.3-1.1b8818d
- Increase spec_release # to 1 and build_hash to 1b8818d

* Thu Aug 23 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v0.6.3
- Add new upstream sources for kubevirt-ansible-0.6.3-1.288439d
- Increase spec_release # to 1 and build_hash to 288439d

* Thu Aug 23 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v0.6.3
- Add new upstream sources for kubevirt-ansible-0.6.3-1.288439d
- Increase spec_release # to 1 and build_hash to 288439d

* Mon Jul  9 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v0.6.2
- Add new upstream sources for kubevirt-ansible-0.6.2-9.216fea4
- Increase spec_release # to 9 and build_hash to 216fea4

* Sun Jul  8 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v0.7.0
- Add new upstream sources for kubevirt-ansible-0.7.0-8.908bc0a
- Increase spec_release # to 8 and build_hash to 908bc0a

* Sun Jul  1 2018 - root <root@redhat.com>
- Upstream release: v0.7.0
- Add new upstream sources for kubevirt-ansible-0.7.0-7.2db7554
- Increase spec_release # to 7 and build_hash to 2db7554

* Tue Jun 26 2018 Ryan Hallisey - 0.6.0-5
- Use the right cdi version

* Mon Jun 25 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v0.7.0
- Add new upstream sources for kubevirt-ansible-0.7.0-4.2db7554
- Increase spec_release # to 4 and build_hash to 2db7554

* Mon Jun 25 2018 Ryan Hallisey - 0.6.0-3
- Revert some spec file changes
- Update the Makefile

* Wed Jun 20 2018 Ryan Hallisey - 0.6.0-2
- Update spec file to follow kubevirt format
- Add a Makefile

* Mon Jun 18 2018 - alivigni - 0.6.0-1
- Added build_hash and spec_release vars to spec file for consistency
- Spec_release bumped to 1

* Fri Jun 15 2018 Ryan Hallisey
- Pull in upstream release v0.6.0

* Fri Jun  8 2018 John Herr - 0.5.0-1
- Changed install destination to _datadir
- Added dependencies of kubevirt-manifest and kubevirt-cdi-manifest
- Added files ansible.cfg and requirements.yml

* Thu Apr 26 2018 Steve Reichard - 0.5.0
- Initial version - sreichar
